## org.irisa.genouest.logol
Class Entity

    java.lang.Object
      org.irisa.genouest.logol.Entity

    public class Entity

extends java.lang.Object

Entity class in charge or managing operators between variable entities (ANR,OR,OVERLAP).

Author:
  osallou

Constructor Summary
`Entity()`

Method Summary
`java.lang.String` `add(java.lang.String pred, java.lang.String operator, int type, int id)`
`java.lang.String` `analysispredicate(java.lang.String predicate, int id, boolean useDummy)` Take a predicate, find all required variables, add it to internal predicates, and return a call to this predicate.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Entity

    public Entity()

Method Detail

### add

    public java.lang.String add(java.lang.String pred,
                                java.lang.String operator,
                                int type,
                                int id)

### analysispredicate

    public java.lang.String analysispredicate(java.lang.String predicate,
                                              int id,
                                              boolean useDummy)

  Take a predicate, find all required variables, add it to internal predicates, and return a call to this predicate.

  Parameters:
    `predicate` -
    `id` -
    `useDummy` - Add DUMMY variable if no parameter, to avoid empty predicate calls
  Returns:
    prolog call to predicate